Bug 833520 - [abrt] Zim-0.56-3.fc16: diagrameditor.py:70:do_populate_popup:TypeError: populate_popup_add_separator() takes at least 1 argument (1 given)
[abrt] Zim-0.56-3.fc16: diagrameditor.py:70:do_populate_popup:TypeError: popu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:4085841e2ce717881e90bf5f91c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 12:12 EDT by David Duncan
Modified: 2013-02-13 16:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:39:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Duncan 2012-06-19 12:12:44 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/zim
comment:        Double-click on diagram. popup failed. 
event_log:      2012-06-19-11:12:04> Smolt profile successfully saved
executable:     /usr/bin/zim
kernel:         3.3.8-1.fc16.x86_64
time:           Tue 19 Jun 2012 11:11:18 AM CDT
uid:            1000
username:       dduncan

backtrace:
:diagrameditor.py:70:do_populate_popup:TypeError: populate_popup_add_separator() takes at least 1 argument (1 given)
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 5032, in do_populate_popup
:    plugin.do_populate_popup(menu, buffer, iter, image)
:  File "/usr/lib/python2.7/site-packages/zim/plugins/diagrameditor.py", line 70, in do_populate_popup
:    populate_popup_add_separator(prepend=True)
:TypeError: populate_popup_add_separator() takes at least 1 argument (1 given)
:
:Local variables in innermost frame:
:buffer: <TextBuffer object at 0x20eb7d0 (zim+gui+pageview+TextBuffer at 0x222b690)>
:menu: <gtk.Menu object at 0x20e82d0 (GtkMenu at 0x1f49de0)>
:image: {'src': u'./diagram001.png', 'alt': None, 'type': u'diagram', '_src_file': <UnixFile: /home/dduncan/Documents/MSSTEAM-zim/ToDo_Today/diagram001.png>}
:self: <InsertDiagramPlugin object at 0x1ebcc30 (zim+plugins+PluginClass at 0x1cb5340)>
:iter: <GtkTextIter at 0x237e5e0>

smolt_data:
:
:
:General
:=================================
:UUID: 7eb8acc3-3615-42c6-b699-ed49b8510263
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5382.69
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 3842
:System Swap: 5887
:Vendor: LENOVO
:System: 4243B37 ThinkPad T520
:Form factor: Notebook
:Kernel: 3.3.8-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59426:6058:8655) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:294:6058:8655) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dduncan-lv_root / ext4 4096 4096 13081819 7178825 6523465 3276800 2972987 2972987
:/dev/sda1 /boot ext4 1024 1024 508745 410094 384494 128016 127785 127785
:/dev/mapper/vg_dduncan-lv_home /home ext4 4096 4096 107230882 99166935 93799537 26836992 26715218 26715218
:/dev/sr0 WITHHELD iso9660 UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:
Comment 3 Fedora End Of Life 2013-01-16 12:13:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 16:39:38 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.